Package org.apache.sysds.runtime.io

# Class FrameWriterBinaryBlockParallel

java.lang.Object
org.apache.sysds.runtime.io.FrameWriter
org.apache.sysds.runtime.io.FrameWriterBinaryBlock
org.apache.sysds.runtime.io.FrameWriterBinaryBlockParallel

Direct Known Subclasses:
  `FrameWriterCompressed`

public class FrameWriterBinaryBlockParallel extends FrameWriterBinaryBlock
Multi-threaded frame binary block writer.

## Constructor Summary

Constructors
Constructor
Description
`FrameWriterBinaryBlockParallel()`

## Method Summary

### Methods inherited from class org.apache.sysds.runtime.io.FrameWriterBinaryBlock

`writeFrameToHDFS`

### Methods inherited from class org.apache.sysds.runtime.io.FrameWriter

`setForcedParallel`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameWriterBinaryBlockParallel

public FrameWriterBinaryBlockParallel()